# StreamCopier.Listener (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Interface StreamCopier.Listener

All Known Subinterfaces:
  TransferListener

All Known Implementing Classes:
  LoggingTransferListener

Enclosing class:
  StreamCopier

    public static interface StreamCopier.Listener

Method Summary
`void` `reportProgress(long transferred)`

Method Detail

### reportProgress

    void reportProgress(long transferred)
                        throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.